net.minecraftforge.event

## Class ForgeEventFactory

- java.lang.Object
- - net.minecraftforge.event.ForgeEventFactory

-     public class ForgeEventFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeEventFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.Result` | `canEntityDespawn(EntityLiving entity)`
    `static Event.Result` | `canEntitySpawn(EntityLiving entity, World world, float x, float y, float z)`
    `static boolean` | `doPlayerHarvestCheck(EntityPlayer player, Block block, boolean success)`
    `static boolean` | `doSpecialSpawn(EntityLiving entity, World world, float x, float y, float z)`
    `static float` | `fireBlockHarvesting(ArrayList<ItemStack> drops, World world, Block block, int x, int y, int z, int meta, int fortune, float dropChance, boolean silkTouch, EntityPlayer player)`
    `static ZombieEvent.SummonAidEvent` | `fireZombieSummonAid(EntityZombie zombie, World world, int x, int y, int z, EntityLivingBase attacker, double summonChance)`
    `static float` | `getBreakSpeed(EntityPlayer player, Block block, int metadata, float original)`
    `static int` | `getMaxSpawnPackSize(EntityLiving entity)`
    `static String` | `getPlayerDisplayName(EntityPlayer player, String username)`
    `static List` | `getPotentialSpawns(WorldServer world, EnumCreatureType type, int x, int y, int z, List oldList)`
    `static ItemTooltipEvent` | `onItemTooltip(ItemStack itemStack, EntityPlayer entityPlayer, List<String> toolTip, boolean showAdvancedItemTooltips)`
    `static void` | `onPlayerDestroyItem(EntityPlayer player, ItemStack stack)`
    `static PlayerInteractEvent` | `onPlayerInteract(EntityPlayer player, PlayerInteractEvent.Action action, int x, int y, int z, int face)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeEventFactory

          public ForgeEventFactory()

  - ### Method Detail

    - #### doPlayerHarvestCheck

          public static boolean doPlayerHarvestCheck(EntityPlayer player,
                                     Block block,
                                     boolean success)

    - #### getBreakSpeed

          public static float getBreakSpeed(EntityPlayer player,
                            Block block,
                            int metadata,
                            float original)

    - #### onPlayerInteract

          public static PlayerInteractEvent onPlayerInteract(EntityPlayer player,
                                             PlayerInteractEvent.Action action,
                                             int x,
                                             int y,
                                             int z,
                                             int face)

    - #### onPlayerDestroyItem

          public static void onPlayerDestroyItem(EntityPlayer player,
                                 ItemStack stack)

    - #### canEntitySpawn

          public static Event.Result canEntitySpawn(EntityLiving entity,
                                    World world,
                                    float x,
                                    float y,
                                    float z)

    - #### doSpecialSpawn

          public static boolean doSpecialSpawn(EntityLiving entity,
                               World world,
                               float x,
                               float y,
                               float z)

    - #### canEntityDespawn

          public static Event.Result canEntityDespawn(EntityLiving entity)

    - #### getPotentialSpawns

          public static List getPotentialSpawns(WorldServer world,
                                EnumCreatureType type,
                                int x,
                                int y,
                                int z,
                                List oldList)

    - #### getMaxSpawnPackSize

          public static int getMaxSpawnPackSize(EntityLiving entity)

    - #### getPlayerDisplayName

          public static String getPlayerDisplayName(EntityPlayer player,
                                    String username)

    - #### fireBlockHarvesting

          public static float fireBlockHarvesting(ArrayList<ItemStack> drops,
                                  World world,
                                  Block block,
                                  int x,
                                  int y,
                                  int z,
                                  int meta,
                                  int fortune,
                                  float dropChance,
                                  boolean silkTouch,
                                  EntityPlayer player)

    - #### onItemTooltip

          public static ItemTooltipEvent onItemTooltip(ItemStack itemStack,
                                       EntityPlayer entityPlayer,
                                       List<String> toolTip,
                                       boolean showAdvancedItemTooltips)

    - #### fireZombieSummonAid

          public static ZombieEvent.SummonAidEvent fireZombieSummonAid(EntityZombie zombie,
                                                       World world,
                                                       int x,
                                                       int y,
                                                       int z,
                                                       EntityLivingBase attacker,
                                                       double summonChance)